Subject: Re: bug#6591: 24.0.50; incorrect doc for `catch'

From: Chong Yidong <[email-masked]>
Date: Sun, 11 Jul 2010 12:33:41 -0400

Eli Zaretskii <[email-masked]> writes:

> Using FORM... is okay, but will need more extensive changes, so I'd
> rather not do it.  I'd like to simply remove the dots after BODY, and
> explain in the text that BODY can consist of one or more forms.
>
> Does anyone see any reason why keeping the dots in BODY... will have
> some didactical importance?  Richard? Stefan? Yidong?

The dots are important, because BODY normally implies one single form.
We are somewhat abusing notation by using `BODY...' to denote one or
more forms, but the convention is well-established and easy to grasp,
and there are no better alternatives.

I suggest doing everywhere what the `progn' documentation does, and
refer to BODY as "BODY forms".

  (progn BODY...)

  Eval BODY forms sequentially and return value of last one.